Subject: Re: [ANN] Differentiating "Supported" and "Maintained" drivers on something other than $$$

From: Jakub Kicinski <[email-masked]>
Date: Thu, 25 Apr 2024 14:10:57 -0700

On Thu, 25 Apr 2024 22:22:28 +0200 Andrew Lunn wrote:
> > The new guidance will take effect starting with Linux v6.12. This means
> > that any new driver merged for v6.12 (i.e. merged into net-next during
> > v6.11 release cycle) will need to come with running CI to be considered
> > Supported. During the v6.12 merge window all Ethernet drivers under
> > Supported status without CI will be updated to the Maintained status.  
> 
> Do we have any drivers which today fulfil the Supported requirements?
> Any which are close?

We only started adding tests this month, so not really no ;)
But v6.12 is 5 months out, hopefully that's enough time to put
a machine in a DMZ and write a python script?

I was actually looking at SBCs with multiple NIC ports over the
weekend to start running these tests myself, but I stopped myself.
I don't scale :(

As I said the Supported status itself doesn't have much _practical_
meaning, so hopefully there isn't much downside to trying to nudge
people. If we get one company to run the CI, that's good enough in
my book. If someone is actually currently using the status as leverage 
to make their employer let them work upstream on NIC drivers - putting
more requirements in place would be a concern (LMK on or off list!)